Subject: Argus 3.7 Notifys behavior and JSON functionality.

From: Ross McAuley <[email-masked]>
Date: Fri, 29 Aug 2014 12:56:36 -0500

I have a couple of questions about the argus 3.7 behavior.

First, In all previous vesion of argus the notifcations list has retained all of the notifications across time even arter a restart or argusctl HUP. Since switching to argus 3.7 a rather annoying new behavior has made itself prevelant. Everytime argus restarts or HUPs the Notifications list is cleared. This is particularly troublesome for many reasons for everyone involved with monitoring.
Was the perl source changed since 3.6 and this behavior is normal? If so, is there a way, with out rolling back to previos versions to get this behavior back into the argus interface.

Second, as a work around I wrote a script that parses the files in the /var/argus/notify/ dir and transforms them into json documents for indexing via elasticsearch. While this is a temporary work around and is actually quite useful and cool, there is still a need to have ALL the notifications present in the list.
While attempting to research your perl source and .pm, inspecting the headers of the http traffic for building the list, i noticed that the notifications list uses an RSS feed to pull the list: GET http://blah.blah/cgi-bin/arguscgi?func=rss 
While XML is great and all the section of your code seems to also output the same data but in JSON format. Joy! This would be great I thought. CURLing http://blah.blah/cgi-bin/arguscgi?func=json was the first instinct but i was presented an error. Potentially dont have the correct perl libs installed?
What do I need to know/do to get these JSON documents? Install correct perl lib/modules and rebuild? Or is my build fine and I'm just "looking" at in the wrong place.

Thank you so much for all the help and for Argus, its literally the best monitoring solution out there (icinga, OMD, nagios, thruk, etc... they just dont get it).

- Ross McAuley